.recipe-class-list {
    width: 190px;
    height: 188.5px;
    background-color: #dddddd;
    font-size: 18px;
    letter-spacing: 2px;
    display: inline-block;
    font-weight: bold;
    color: #555555;
    border-right:4px solid #fff;
    box-sizing: border-box;
    transition: all .3s linear;
    margin-bottom: 4px;
}
#recipe-page .recipe-class-list{
    border-right:4px solid #f5f5f5;
}
.recipe-class-list a {
    width: 100%;
    height: 100%;
    display: flex;
    display: -webkit-flex;
    align-items: center;
    -webkit-align-items: center;
    justify-content: center;
    -webkit-justify-content: center;
}

.recipe-list {
    width: 300px;
    max-width: 100%;
    display: inline-block;
    vertical-align: top;
    position: relative;
    overflow: hidden;
    cursor: pointer;
    border: 2px solid #FFF;
    box-sizing: border-box;
}
.recipe-list-mask-box {
    position: relative;
    overflow: hidden;

}
.recipe-list-img{
    height: 300px;
}
.recipe-list-mask {
    width: 100%;
    height: 100%;
    position: absolute;
    /* background-color: rgba(0,0,0,0.7); */
    display: flex;
    display: -webkit-flex;
    align-items: center;
    -webkit-align-items: center;
    justify-content: center;
    -webkit-justify-content: center;
    flex-direction: column;
}
.recipe-list-title-box {
    width: 100%;
    display: block;
    padding-bottom: 10px;
}
.recipe-list-mask-title {
    font-size: 16px;
    letter-spacing: 2px;
    color: #000;
    text-align: center;
    transition: all .3s linear;
}
.recipe-list-icon span{
    width: 148px;
    height: 24px;
    line-height: 24px;
    font-size: 12px;
    letter-spacing: 1px;
    color: #fff;
    background-color: #36bf36;
    text-align: center;
    transition: all .3s linear;
    display: inline-block;
}
.recipe-list-icon-time{
    width: 148px;
    font-size: 12px;
    height: 24px;
    line-height: 24px;
    color: #fff;
    background-color: #555555;
    text-align: center;
    box-sizing: border-box;
    display: inline-block;
    transition: all .3s linear;
}
.recipe-list-mask-bg{
    width: 100%;
    height: 100%;
    transition: all .8s ease;
    background-repeat: no-repeat;
    background-size: 50%;
    background-position: center;
    background-image: url(../img/front/logo.png);
    background-color: rgba(255,255,255,0.5);
}
/* hover */
.recipe-class-list:hover, .recipe-class-list.active {
    background-color: #36BF36;
    color: #FFF;
}
.recipe-list:hover .recipe-list-mask-title{
    color: #36BF36;
}
@media only screen and (min-width: 1001px){
    .recipe-menu-class-list-box,
    .recipe-list{
        opacity: 0;
    }
    .recipe-menu-class-list-box.active{
        animation: animation_rtol 1s ease both;
    }
    .recipe-list.active{
        animation: animation_ltol 1s ease both;
    }
}
@media only screen and (max-width: 1000px){
    .recipe-menu-class-list{
        width: 100%;
        height: 50px;
        line-height: 46px;
        text-align: center;
        font-size: 16px;
        position: relative;
        box-sizing: border-box;
        display: block;
        border: 2px solid #36bf36;
        background-color: #FFF;
    }
    .recipe-menu-class-list:after {
        content: 'none';
        width: 0px;
        height: 0px;
        font-size: 0;
        margin: 0 auto;
        border-right: 15px solid transparent;
        border-top: 15px solid #36bf36;
        border-left: 15px solid transparent;
        display: block;
        position: absolute;
        bottom: 15px;
        right: 5%;
    }
    .recipe-menu-class-list-box{
        margin-bottom: 20px;
        position: relative;
    }
    .recipe-class-list-box {
        width: 100%;
        display: block;
        position: absolute;
        z-index: 1;
        display: none;
    }
    .recipe-class-list {
        width: 100%;
        display: block;
        height: initial;
        padding: 10px 0;
        margin: 0;
    }
    .recipe-list{
        width: calc( 100% / 3  );
    }
    .recipe-list-img{
        height: 250px;
    }
    .recipe-list-icon span,
    .recipe-list-icon-time{
        width: calc( 100% / 2  );
    }
}
@media only screen and (max-width: 600px){
    .recipe-list{
        width: calc( 100% / 2  );
    }
    .recipe-list-img{
        height: 200px;
    }
}
@media only screen and (max-width: 600px){
    .recipe-list-img{
        height: 150px;
    }
}